Nimbu Developer Docs
ReferenceChannel Entries

List entries for a channel

GET
/channels/{channel_id}/entries

Lists channel entries. Non-master tokens are ACL-filtered. Master tokens bypass ACL unless use_acl=true.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

channel_id*string

Channel identifier

Query Parameters

use_acl?boolean

When true, applies customer ACL filtering to master-token requests.

Header Parameters

Session-Token?string

Customer session token used for channel and entry ACL filtering. X-Nimbu-Session-Token is also accepted.

Response Body

application/json

curl -X GET "https://example.com/channels/string/entries"
[
  {
    "id": "string",
    "url": "http://example.com",
    "short_id": "string",
    "slug": "string",
    "channel": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "title_field_value": "string",
    "_acl": {
      "property1": {
        "create": true,
        "read": true,
        "update": true,
        "delete": true
      },
      "property2": {
        "create": true,
        "read": true,
        "update": true,
        "delete": true
      }
    },
    "_owner": "string"
  }
]